Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 829920 - net-print/cups-2.4.1 version bump
Summary: net-print/cups-2.4.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
: 828102 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-12-24 11:52 UTC by Pacho Ramos
Modified: 2022-05-22 13:51 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
cups-2.4.0.ebuild.diff (cups-2.4.0.ebuild.diff,1.56 KB, patch)
2022-01-10 10:59 UTC, Lars Wendler (Polynomial-C) (RETIRED)
Details | Diff
ebuild cups 2.4.1 (cups-2.4.1.ebuild,9.06 KB, text/plain)
2022-05-01 15:21 UTC, Christian Charon
Details
nostrip patch for usage with cups 2.4.1 (cups-2.4.1-nostrip.patch,411 bytes, patch)
2022-05-01 15:22 UTC, Christian Charon
Details | Diff
user-ar patch for usage with cups 2.4.1 (cups-2.4.1-user-AR.patch,567 bytes, patch)
2022-05-01 15:23 UTC, Christian Charon
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2021-12-24 11:52:53 UTC
It was released some weeks ago

Thanks
Comment 1 Joakim Tjernlund 2021-12-30 20:14:56 UTC
Yes please, would be nice to use AirPrint that comes with 2.4
Comment 2 Lars Wendler (Polynomial-C) (RETIRED) gentoo-dev 2022-01-10 10:29:38 UTC
*** Bug 828102 has been marked as a duplicate of this bug. ***
Comment 3 Lars Wendler (Polynomial-C) (RETIRED) gentoo-dev 2022-01-10 10:59:12 UTC
Created attachment 761770 [details, diff]
cups-2.4.0.ebuild.diff

Ebuild patch containing the most basic changes that are required to build and run cups-2.4.0. This is by no means a suggention for the final ebuild but rather provides a basis for more fine-tuning. The required patches can be obtained from

  https://www.gentoofan.org/gentoo/poly-c_overlay/net-print/cups/files/

The cups-2.4.0-empty_webUI_de.patch fixes empty german webUI page (see related upstream issue)
Comment 4 Christian Charon 2022-05-01 15:21:22 UTC
Created attachment 775778 [details]
ebuild cups 2.4.1
Comment 5 Christian Charon 2022-05-01 15:22:54 UTC
Created attachment 775781 [details, diff]
nostrip patch for usage with cups 2.4.1

nostrip patch for usage with cups 2.4.1
Comment 6 Christian Charon 2022-05-01 15:23:26 UTC
Created attachment 775784 [details, diff]
user-ar patch for usage with cups 2.4.1

user-ar patch for usage with cups 2.4.1
Comment 7 Christian Charon 2022-05-01 15:25:15 UTC
I tried (successfully) to solve my printing problems and on the way I created an cups 2.4.1 ebuild based on what I read here. I added the ebuild and 2 patches maybe this could be used as a first step for a gentoo cups-2.4.1 ebuild?
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-11 02:49:24 UTC
I think you should feel free to do it Pacho, just sync 9999 first too so we don't lose changes.
Comment 9 Larry the Git Cow gentoo-dev 2022-05-22 12:34:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24038ef79ce4cab1e5c8d2363c9cd9fa6be148cd

commit 24038ef79ce4cab1e5c8d2363c9cd9fa6be148cd
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2022-05-22 12:33:39 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2022-05-22 12:34:16 +0000

    net-print/cups: Sync live ebuild with latest version
    
    Closes: https://bugs.gentoo.org/829920
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 net-print/cups/cups-9999.ebuild | 73 +++++++++++++++++++++--------------------
 1 file changed, 38 insertions(+), 35 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=223305bc13eb0aad4824fb632d288f621a835616

commit 223305bc13eb0aad4824fb632d288f621a835616
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2022-05-22 12:33:00 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2022-05-22 12:34:16 +0000

    net-print/cups: add 2.4.1
    
    Closes: https://bugs.gentoo.org/829920
    Closes: https://bugs.gentoo.org/833577
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 net-print/cups/Manifest                            |   1 +
 net-print/cups/cups-2.4.1.ebuild                   | 320 ++++++++++
 .../files/0001-Fix-some-web-interface-issues.patch | 667 +++++++++++++++++++++
 .../cups/files/0001-Footer-message-corrected.patch |  89 +++
 .../files/0001-cups-fix-uninit-value-jump.patch    |  18 +
 ...ps-tls-gnutls.c-Use-always-GNUTLS_SHUT_WR.patch |  55 ++
 net-print/cups/files/cups-2.4.1-nostrip.patch      |  11 +
 net-print/cups/files/cups-2.4.1-resolve-uri.patch  |  31 +
 net-print/cups/files/cups-2.4.1-user-AR.patch      |  21 +
 9 files changed, 1213 insertions(+)
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-05-22 13:51:35 UTC
Thanks!